## ucar.netcdf
Interface NetcdfService

All Superinterfaces:
  Remote

All Known Implementing Classes:
  NetcdfServer

public interface NetcdfService
extends Remote

This service provides a way to 'open' remote Netcdf data sets by name. It is a placeholder for a more elaborate directory service, hopefully to be provided later on.

Field Summary
`static String` `SVC_NAME` The string identifing this service in the rmi registry.

Method Summary
`String[]` `list()` List the names of exported data sets.
`NetcdfRemoteProxy` `lookup(String dataSetName)` Connect to (open) a remote Netcdf dataSet by name.
`int` `ping()` Test if the service is alive.

Field Detail

### SVC_NAME

    public static final String SVC_NAME

  The string identifing this service in the rmi registry.

  See Also:
    Constant Field Values

Method Detail

### ping

    public int ping()
             throws RemoteException

  Test if the service is alive. Used by the automatic registration feature of the NetcdfServer implementation.

  Returns:
    0
  Throws:
    `RemoteException`

### lookup

    public NetcdfRemoteProxy lookup(String dataSetName)
                             throws RemoteException

  Connect to (open) a remote Netcdf dataSet by name. If the name is not the same as one obtainable from the list() opteration on this service, then this method will fail.

  Parameters:
    `dataSetName` - String name of the remote Netcdf
  Returns:
    NetcdfRemoteProxy which can be used to create an instance of RemoteNetcdf.
  Throws:
    `RemoteException`

### list

    public String[] list()
                  throws RemoteException

  List the names of exported data sets.

  Throws:
    `RemoteException`